Subject: RE: GPL and Status summary, IPR WG

From: [email-masked]
Date: Mon, 9 Jan 2006 11:48:11 -0500

Jeremy,

> I'm  not sure why we are talking about licenses for the code.

The term "code" may be misleading - this is not about C/C++/
pseudo-code/etc.

The sorts of examples I have in mind are the ASN.1 specifications
for PKI certificates (also for Kerberos), and the SMI source for
MIBs.  In both cases, we're dealing with precise syntax that is part
of the protocol and needs to be used by an implementer.  If an open
source implementation makes useful changes to that sort of "code",
it'd be nice to be able to get them back without having to make
gratuitous changes courtesy of legal issues.  Yes this can be
coded around, but the result is a step away from "running code".

> Harald's point less about what the code is being released under, and  
> more about what it had to be compatible with?   the code has to be  
> usable in gpl'd applications, just like it has to be usable in eula'd  
> applications.   I'm not sure why we are talking about a release  
> license for this code and not talking about provisions of copyright  
> for this code.    there should be consensus in that the code as  
> released has to be universally usable and editable, but not re- 
> releasable as rfc or id after that, without specific permission.

A release license specifies copyright permissions for the code.
Part of the reason for a discussion in terms of licenses is that
a requirement to be "GPL compatible" limits what can be done with
copyright (e.g., "field of use" as discussed in Vancouver is not
"GPL compatible").

Thanks,
--David

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Jeremy Hunsinger
> Sent: Monday, January 09, 2006 8:32 AM
> To: [email-masked]
> Subject: Re: GPL and Status summary, IPR WG
> 
> I'm  not sure why we are talking about licenses for the code. 
>  Wasn't  
> Harald's point less about what the code is being released under, and  
> more about what it had to be compatible with?   the code has to be  
> usable in gpl'd applications, just like it has to be usable 
> in eula'd  
> applications.   I'm not sure why we are talking about a release  
> license for this code and not talking about provisions of copyright  
> for this code.    there should be consensus in that the code as  
> released has to be universally usable and editable, but not re- 
> releasable as rfc or id after that, without specific permission.
> 
> 
> Jeremy Hunsinger
> Center for Digital Discourse and Culture
> () ascii ribbon campaign - against html mail
> /\ - against microsoft attachments
> 
> http://www.aoir.org The Association of Internet Researchers
> http://www.stswiki.org/ stswiki
> 
> 
> 
> _______________________________________________
> Ipr-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipr-wg
> 

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: "David B Harrington" <[email-masked]>
Date: Mon, 9 Jan 2006 19:01:35 -0500

Hi David, 

I would like to be sure I understand what you are saying; can you
clarify 
"If an open source implementation makes useful changes to that sort of
"code",
> gratuitous changes courtesy of legal issues. 

"useful changes" (can you give an example of a useful change to a
standard such as a MIB or SMI?), 
"get them back" (from where and for what purpose? How would that fit
into the IETF process?), and
"gratuitous changes".

Thanks,
David Harrington
[email-masked]

> [mailto:[email-masked]] On Behalf Of [email-masked]
> Sent: Monday, January 09, 2006 11:48 AM
> To: [email-masked]; [email-masked]
> Subject: RE: GPL and Status summary, IPR WG
> 
> Jeremy,
>